<? require_once($_SERVER['DOCUMENT_ROOT'].'/block/head.php');
if(!isset($_SESSION["login"]) && !isset($_SESSION["pass"])) {
?>
<div class="row">
<div class="col-md-12">
<div class="alert alert-danger alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<h4><i class="icon fa fa-warning"></i> Внимание!</h4>
Для просмотра этой страницы нужно авторизоваться на сайте под своим логином. 
Если у вас ещё нет аккаунта - самое время пройти регистрацию и стать участником крупного проекта!
</div>
</div>
</div>
<?}else{?>

<div class="row">
<div class="col-md-12">
<div class="panel panel-default">                                
<div class="panel-body">
<h3>Чтение писем</h3>
<p>Тут всё куда проще: читаете внимательно письмо рекламодателя, отвечаете на поставленый вопрос (ответ содержится в тексте письма) и автоматически попадаете на сайт рекламодателя. Просматриваете его, отвечаете на вопрос нашего робота и деньги ваши.</p>
</div>
</div>
</div>
</div>

<div class="content-frame">                                    
<div class="content-frame-top">                    
<a href='/add_mail' style='cursor: pointer; text-decoration: none;' class="btn btn-success btn-block btn-lg"><span class="fa fa-plus-square"></span> Добавить своё оплачиваемое письмо</a>
</div>

<div class="content-frame-right">

</div>

<div class="content-frame-body content-frame-body-left">
<div class="col-md-12">
<div class="tasks">
<?
$time_pro = (time()-24*60*60);
$sql = mysql_query("SELECT * FROM `nano_rek_mail` WHERE `summ`>=`cena` AND `moder`='1' AND `activ`='1' AND `id` NOT IN (SELECT `id_rek` FROM `nano_rek_ip` WHERE `id_user`='$id_login' AND `time`>='$time_pro' AND `name_rek`='5') AND `vrem`<='$vrem' AND `vrem_1`>='$vrem' AND `vozrast`<='$vozrast' AND `r_st` LIKE '%$r_st%' AND `pol` LIKE '%$pol%' AND `tar` LIKE '%$country_code%' ORDER BY `id` DESC LIMIT 20") or die(mysql_error());

while($row=mysql_fetch_assoc($sql)){
$id = $row["id"];
$id_user = $row["id_user"];
$vopros = $row["vopros"];
$otvet_1 = $row["otvet_1"];
$otvet_2 = $row["otvet_2"];
$otvet_3 = $row["otvet_3"];
$text = $row["text"];
$cena = $row["cena"];
$skolko = number_format($row["pay"],3);
$name = $row["name"];
$url = $row["url"];

$sk = explode(".", $skolko);
$r = $sk[0];
$s = $sk[1];
$url = str_replace("//","/",$url);
$url = str_replace("www.","",$url);
$url = explode("/", $url);
$url = $url[1];
if(strlen($url) > '30'){$url = substr($url,0,30)."";}
$user_name = get_us_name($id_user);
?>
<div class="task-item task-primary" id="dinam_<?=$id;?>">
<div class="task-footer">
<div class="pull-left">(ID: <?=$id;?>)&nbsp;&nbsp;<i><?=$name;?></i></div>
<div class="pull-right"><span style="color:#95b75d;"><b><?=$r;?> руб. <?=$s;?> коп.</b></span></div>
</div>
<div class="task-text"><?=$text;?></div>
<div class="task-footer" id='hidden_<?=$id;?>'>
<center>Контрольный вопрос:</center>
</div>
<div class="task-text" id='hidden_2_<?=$id;?>'>
<?=$vopros;?>?
<br /><br />
<?
$answers = array($otvet_1, $otvet_2, $otvet_3);
shuffle($answers);
foreach($answers as $value){
?>
<button class="btn btn-primary btn-block" onclick='otv_<?=md5($value);?>_<?=$id;?>();'><?=$value;?></button><br />
<script>
function otv_<?=md5($value);?>_<?=$id;?>() {
{
var otvet = ('<?=md5($value);?>');
var otvet_1 = ('<?=md5($otvet_1);?>');
$.ajax({
type: "POST", 
url: "/ajax/mails.php", 
data: { 'func' : 'otv', 'id' : <?=$id;?>, 'otvet' : otvet, 'otvet_1' : otvet_1 },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) {
$('#dinam_<?=$id;?>').remove();	
setTimeout('window.open("/smotri_mail_<?=$id;?>")', 100);}
else if(data == 2) { QBinfo('Ошибка:','Вы ошиблись с ответом на вопрос!',4000,'bottom-right');
$('#dinam_<?=$id;?>').remove();}
else if(data == 6){
QBinfo('Поздравляем:','Письмо успешно отправлено!',4000,'bottom-right');
setTimeout('location.replace("/frends")', 2000);
}
progress = false;
}
});
}
}
</script>
<?}?>
</div>
<a id='hidden_1_<?=$id;?>' style='cursor: pointer; text-decoration: none;'>
<div class="task-footer">
<div class="pull-left"><i style="color:#e04b4a;">Начать выполнение</i></div>
<div class="pull-right"><span class="fa fa-link"></span> <?=$url;?>&nbsp;&nbsp;&nbsp;&nbsp;<span class="fa fa-user"></span> <?=$user_name;?></div>
</div>
</a>
</div>
<script>
$(document).ready(function(){
$('#hidden_<?=$id;?>').hide();
$('#hidden_2_<?=$id;?>').hide();
$("#hidden_1_<?=$id;?>").click(function(){
$("#hidden_<?=$id;?>").slideToggle('slow');
$("#hidden_2_<?=$id;?>").slideToggle('slow');
$(this).toggleClass("active");
});
return false;	  
});
</script>
<?}?>

</div>
</div>
</div></div>
<?} require_once($_SERVER['DOCUMENT_ROOT'].'/block/foot.php'); ?>